using System;
using System.Collections.Generic;
using System.Xml.Linq;

internal sealed class Delegate678 : MulticastDelegate
{
	public extern IEnumerable<XElement> Invoke(object object_0);

	public static IEnumerable<XElement> smethod_0(object object_0, Delegate678 delegate678_1)
	{
		return delegate678_1(object_0);
	}

	public extern Delegate678(object object_0, IntPtr intptr_0);

	static Delegate678()
	{
		Class10.smethod_13(typeof(Delegate678).TypeHandle);
	}

	internal static Delegate678 delegate678_0;
}
